Bug 1032084 - Test datasource and LDAP connections in the installer
Test datasource and LDAP connections in the installer
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: DR9
: EAP 6.4.0
Assigned To: Thomas Hauser
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 09:18 EST by Catherine Robson
Modified: 2015-10-05 22:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Needs text Reason: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-11-19 09:18:31 EST
Description of problem:
The user has no way to test their settings actually will connect for LDAP or Datasources in the installer



Recommendation:
Add Test Connection buttons to both screens that allow users to check their settings.  

I believe this was done for FSW already?
Comment 1 Thomas Hauser 2014-06-12 14:03:14 EDT
I vote for deferring this BZ to a release later than 6.3.0.
Comment 2 Petr Kremensky 2014-06-13 01:23:00 EDT
I agree,
adding this to installer would mean to test it with all supported databases which is inconsiderable effort. Adding qa nack for now.
Comment 4 Thomas Hauser 2014-08-21 15:25:50 EDT
Could be good to revisit this issue.
Comment 5 Thomas Hauser 2014-10-15 16:10:44 EDT
The LDAP test functionality is present in DR4. Datasource testing will be available in DR8. The functionality is implemented via a simple button users can click after entering in the required information.
Comment 6 Thomas Hauser 2014-11-03 12:38:43 EST
Testing the Datasource connection is now possible in DR8. Note that testing the connection with security-domain will immediately fail because the security-domain is created at a later step.
Comment 7 Petr Kremensky 2014-12-02 08:32:53 EST
Hi Tom, 

I tested the "Test LDAP connection" with DR9 installer and run into following:
 1)
If I use invalid configuration, warning dialogue appears:
-------
### Warning ###
"Could not verify the connection to the LDAP server. Would you like to continue?"
[OK] [Cancel]
-------
Since there is no special functionality for any of buttons I'd prefer we use some single button dialogue.
-------
### Message/??? ###
"Could not verify the connection to the LDAP server."
[OK/Continue]
-------
same applies for "Test user search" on next screen.

 2)
Would it be possible to check that both passwords match before running "Test LDAP connection" action and warn user first if they don't? My passwords don't match, "Test LDAP connection" gives me established successfully (if DN password is correct), so I push Next and get an Error now.

I'll try to test also Datasource connection check and let you know if I find anything.
Comment 8 Petr Kremensky 2014-12-02 08:36:20 EST
As per 1) you can use similar "Connection Failed" dialogue as is used for "Test Datasource connection"
Comment 9 Thomas Hauser 2014-12-02 13:03:44 EST
Hi Petr,

I've made the changes needed for #1. 

However, with the way IzPack works, the validation for those password fields triggers only upon the next press; What I could do is to make the validation fail with the generic "Could not connect" message if the password fields aren't both matching, but the IzPack validator interfaces are pretty limited beyond that. 

Given more time I could modify IzPack to do what you're asking, but by DR12 I'd say 2) is hard to get done to a satisfactory level.
Comment 10 Thomas Hauser 2014-12-02 17:46:10 EST
In fixing this issue, I noticed an annoyance in that the testing functionality wasn't available in console mode. I have fixed this.
Comment 11 Petr Kremensky 2014-12-03 06:34:42 EST
I also noticed that this is not available in console mode, I was just about to ask you :).

Making the validation fail with the "Could not connect" would be quite confusing so lets stick with current solution.

According to the datasource connection:
 - I assume we hit the same IZ pack limitations, but anyway. There should be any check for case when security-domain is selected. The values from Username and Password fields are now used even if security domain is selected. Warning like "Datasource connection cannot be tested with security domain ... , please use username/password security type for testing the connection" would be imo sufficient. Can we do something with this?

 - We should add 'Test Datasource Connection' also to XA datasources since the values from Connection URL are not passed to XA propertries so there is possibility of making typo while filling in the values.
Try this with postgresql. Enter the valied Connection URL and run datasource connection test. Now switch to XA and see that connection properties are different.
Comment 12 Thomas Hauser 2014-12-03 11:12:54 EST
I've added the dialog about using a security domain and attempting to test the connection; For testing XA datasources, I was under the impression that supplying the URL and port and things differed widely between vendors.
Comment 13 Marek Kopecky 2014-12-16 04:27:45 EST
Verified on EAP 6.4.0.DR13

For testing XA datasources, "Test Datasource Connection" button is not visible, so user can not be confused about datasource testing.

Note You need to log in before you can comment on or make changes to this bug.